# Prints information of all animations to log file when K is pressed

import mbase
import mped
import manim

import xkeypress

keyMonitor = xkeypress.KeyPressMonitor()

def eventFrame():
    global keyMonitor
    
    keyMonitor.processKeys()
    
def printAllAnimations(arg):
    animList = manim.getAllPedAnimations(mped.getPlayerPed())
    
    for animation in animList:
        animIndex = str(manim.getAnimIndex(animation))
        animGroupIndex = str(manim.getAnimGroupIndex(animation))
        animName = str(manim.getAnimName(animation))
        animFlags = str(manim.getAnimFlags(animation))
        animLength = str(manim.getAnimLength(animation))
        animProgress = str(manim.getAnimProgress(animation))
        animSpeed = str(manim.getAnimSpeed(animation))
        animBlendProgress = str(manim.getAnimBlendProgress(animation))
        animBlendSpeed = str(manim.getAnimBlendSpeed(animation))
    
        mbase.logPrint("index " + animIndex + " group " + animGroupIndex + " name " + animName + " flags " + animFlags + " length " + animLength + " prog " + animProgress + " speed " + animSpeed + " blendprog " + animBlendProgress + " blendspeed " + animBlendSpeed)
    
keyMonitor.registerCombination([75], printAllAnimations, None, None)

mbase.registerCallback("eventFrame", eventFrame)
