# Replaces jump animation's finish callback, but also calls the old callback

import mbase
import mrw
import mped
import manim

def newJumpCallback(animation, oldCallback):
    mbase.setHudMessage(0, "Landed a jump")
    
    if oldCallback:
        manim.invokeAnimCallback(animation, oldCallback)

def eventFrame():
    player = mped.getPlayerPed()
    jumpAnim = manim.findPedAnimation(player, 142)
    
    if jumpAnim:
        animCallback = manim.getAnimCallback(jumpAnim)
        
        if animCallback is None or animCallback[0] < 10:
            if animCallback:
                callbackType = animCallback[0] + 10
            else:
                callbackType = 11
                
            manim.setAnimCallback(jumpAnim, callbackType, newJumpCallback, animCallback)

mbase.registerCallback("eventFrame", eventFrame)
